---
title: XRSession.onend
slug: Web/API/XRSession/onend
tags:
  - API
  - AR
  - Augmented Reality
  - Event Handler
  - Experimental
  - Reference
  - VR
  - Virtual Reality
  - WebXR
  - WebXR Device API
  - XR
  - onend
---
<div>{{draft}}{{securecontext_header}}{{APIRef("WebXR")}}</div>

<p><span class="seoSummary">The <code><strong>onend</strong></code> attribute of the {{DOMxRef("XRSession")}} object is the event handler for the {{DOMxRef("XRSession.end_event", "end")}} event, which is dispatched after the XR session ends and all related hardware-specific routines are completed.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>XRSession</em>.onend = function(event) { ... };
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js"><em>XRSession</em>.onend = function(event) {
  console.log("The XR session has ended")
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrsession-onend","XRSession.onend")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XRSession.onend")}}</p>
